FROM alpine:latest

# Instalar dependências do sistema
RUN apk update && \
    apk add --no-cache \
    python3 \
    py3-pip \
    make \
    git \
    gcc \
    python3-dev \
    musl-dev \
    linux-headers

# Criar link simbólico para python3
RUN ln -sf python3 /usr/bin/python

# Definir diretório de trabalho
WORKDIR /app

# Copiar arquivos do projeto
COPY . .

# Criar e ativar ambiente virtual
RUN python -m venv /venv && \
    . /venv/bin/activate && \
    pip install --upgrade pip && \
    pip install -r requirements.txt

# Expor a porta que o Flask usa
EXPOSE 5000

# Definir o ambiente virtual como padrão
ENV PATH="/venv/bin:$PATH"
ENV FLASK_APP=app.py
ENV FLASK_ENV=production

# Comando para rodar a aplicação
CMD ["gunicorn", "--bind", "0.0.0.0:5000", "app:app"] 
